package com.sooka.sponest.dataexchange.remoteapi.service.center.event;


import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.dataexchange.exchange.domian.DataExchangeEntity;
import com.sooka.sponest.dataexchange.exchange.domian.LoginBody;
import com.sooka.sponest.dataexchange.remoteapi.fallback.center.auth.RemoteAuthBaseServiceFallbackFactory;
import com.sooka.sponest.dataexchange.remoteapi.fallback.center.event.RemoteEventBaseServiceFallbackFactory;
import com.sooka.sponest.dataexchange.remoteapi.service.ModulesServiceNameContants;
import com.sooka.sponest.dataexchange.sendChange.domian.CenterdataTKeyProjects;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;


@FeignClient(
        contextId = "RemoteEventBaseService",
        value = ModulesServiceNameContants.CENTER_EVENT,
        fallbackFactory = RemoteEventBaseServiceFallbackFactory.class
)
public interface RemoteEventBaseService {

    @PostMapping("/fireIncident/insert3rdSystemEvent")
    public R<?> insert3rdSystemEvent(DataExchangeEntity dataExchangeEntity);

    @PostMapping("/subscribeTo")
    public R<?> subscribeTo(String list);


    @PostMapping("/getDataSubscribeTo")
    public R<?> getDataSubscribeTo();

}
