package com.sooka.sponest.dataexchange.remoteapi.service.center.auth;


import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.dataexchange.exchange.domian.LoginBody;
import com.sooka.sponest.dataexchange.remoteapi.fallback.center.auth.RemoteAuthBaseServiceFallbackFactory;
import com.sooka.sponest.dataexchange.remoteapi.service.ModulesServiceNameContants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.Map;


@FeignClient(
        contextId = "RemoteAuthBaseService",
        value = ModulesServiceNameContants.CENTER_AUTH,
        fallbackFactory = RemoteAuthBaseServiceFallbackFactory.class
)
public interface RemoteAuthBaseService {

    @PostMapping("/loginRemote")
    public R<?> loginRemote(LoginBody form);

    @PostMapping("/getRemoteSecretKey")
    public R<?> getRemoteSecretKey();

}
