package com.sooka.sponest.dataexchange.remoteapi.service.center.lawenforcement;


import com.alibaba.fastjson.JSONArray;
import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.dataexchange.remoteapi.fallback.center.lawenforcement.RemoteLawenforcementBaseServiceFallbackFactory;
import com.sooka.sponest.dataexchange.remoteapi.service.ModulesServiceNameContants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;


@FeignClient(
        contextId = "RemoteLawenforcementBaseService",
        value = ModulesServiceNameContants.CENTER_LAWEN,
        fallbackFactory = RemoteLawenforcementBaseServiceFallbackFactory.class
)
public interface RemoteLawenforcementBaseService {

    /**
     * 执法仪
     * @param
     * @return
     */

    @PostMapping("/record/insertEnforceLawInfoByList")
    public R<?> insertEnforceLawInfoByList(JSONArray jsonArray);

}
